{#<pagetitle>NHS.UK | Has the vaccinated person been diagnosed with any of the following?</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}

<form action="vaccine-diagnosis" class="form" method="post">
    <fieldset class="nhsuk-fieldset">
        {{
        heading({
            subHeading: {
                text: 'vaccine-diagnosis.section.heading'
            },
            text: 'vaccine-diagnosis.h1',
            classes: 'nhsuk-fieldset__heading',
            locale: locale
        })
        }}

        {{
        p({
            text: 'vaccine-diagnosis.hint',
            classes:'nhsuk-hint',
            locale: locale
        })
        }}

        {% for error in errors %}
        <span class="nhsuk-error-message" style="display: block;">
            {{ __({phrase: error.msg, locale: error.locale }) }}
        </span>
        {% endfor %}
        <div id="diagnosis" class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}">
            <div class="nhsuk-checkboxes nhsuk-checkbox-flex">
                {% set selectedArray = data.VaccineNotes.Diagnosis | d([], true) %}
                {% for i in range(1, 20) %}
                    {% set checked = 'checked' if selectedArray.includes(__({phrase: 'vaccine-diagnosis.item' + i, locale:'en'})) else '' %}
                    <div class="nhsuk-checkboxes__item">
                        <input 
                        id="item{{ i }}" 
                        class="nhsuk-checkboxes__input"
                        name="diagnosis"
                        type="checkbox"
                        {{checked}}
                        value="{{__({phrase: 'vaccine-diagnosis.item' + i, locale:'en'})}}" />
                        <label class="nhsuk-label nhsuk-checkboxes__label" for="item{{ i }}">
                        {{ __({phrase: 'vaccine-diagnosis.item' + i, locale:locale}) }}
                        </label>
                    </div>
                {% endfor %}
            </div>
        </div>
    </fieldset>

    {{
    button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    })
    }}
</form>
